<?php

use Illuminate\Routing\Router;
use Illuminate\Support\Facades\Route;

Route::group([
    'middleware' => config('api.route.middleware_guess'),
], function (Router $router) {
    $router->get('', 'TaskController@index');
    $router->get('{task}', 'TaskController@show')->where('task', '[0-9]+');;
    $router->get('categories', 'CategoryController@index');
    $router->get('wechat_step', 'TaskController@wechatStep');
});

Route::group([
    'middleware' => config('api.route.middleware_auth'),
], function (Router $router) {
    $router->get('wechat_step', 'UserController@wechatStep');
});


